# -*- coding: utf-8 -*-
from __future__ import absolute_import, unicode_literals

import time

from django.conf import settings
from django.core.urlresolvers import reverse as standard_reverse


def fb_url_decorator(request, url, querystring=None, uncache=True):
    prefix = getattr(settings, 'FB_URL_PREFIX', None)
    if getattr(request.session, 'iframe_patched', False):
        url = '%s?ssid=%s' % (url, request.session.session_key)
    if querystring:
        if "?" in url:
            if url[-1] == '?':
                url += querystring
            else:
                url += '&'+querystring
        else:
            url += '?'+querystring
    if uncache:
        if not url.find('?') == -1:
            url = "%s&_t=%s" % (url, time.time())
        else: 
            url = "%s?_t=%s" % (url, time.time())
    if prefix:
        return prefix + url
    return url

def fb_reverse(request, *args, **kwargs):
    querystring = kwargs.pop('querystring', None)
    u = standard_reverse(*args, **kwargs)
    return fb_url_decorator(request, u, querystring)
