# -*- coding: utf-8 -*-
""" Frankhood >  fhcore.apps.facebook.utils
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals


from django.conf import settings

import fbconsole


def send_facebook_notify(dest, template, ref = None, href = None, access_token = None):
    """
    Invia una notifica facebook
    @param dest: facebook_id del destinatario (uno solo, non una lista)
    @param template: template del messaggio (https://developers.facebook.com/docs/games/notifications/#templating)
    @param ref: [optional] Riferimento x le statistiche o Tipo notifica (ad. ex groupcomplete)
    @param href: [optional] --> se nn c'è va sull'app ma si può provare a mettere la tab
    @param access_token: [optional]
    """
    if not access_token:
        access_token = settings.FB_APP_DATA['access_token']
        
    c = fbconsole.Client(access_token)
    params = {'access_token': access_token, 'template': template.encode('utf-8') }
    if ref:
        params['ref'] = ref
    if href:
        params['href'] = href
    c.post('/{0}/notifications'.format(dest, ), params= params)