# -*- coding: utf-8 -*-
""" Cipsterizzati  Project >  project.apps.game.templatetags.fb_redirect by Frankhood
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals
import logging
from django import template
from django.conf import settings

logger=logging.getLogger(__name__)

try:
    from classytags.core import Tag
except ImportError as ex:
    raise ImproperlyConfigured("FbRedirectTag cannot be used without classytags")

register = template.Library()


class FbRedirectTag(Tag):
    """
    Il suo scopo è fare un redirect dal sito alla Tab di Facebook..
    Bisonga inserirlo nel base_site.html di game/desktop
    """
    name = 'fb_check'

    template = (
        '<script>'
        'try{{'
        'if(window.top.location.href===document.location.href){{'
        'window.top.location.href="{0}";'
        '}}'
        '}}catch(e){{}}</script>'
    )

    def render_tag(self, context):
        if settings.DEBUG:
            return ""
        return self.template.format(settings.FB_APP_DATA['tab_url'])

register.tag(FbRedirectTag)
