# -*- coding: utf-8 -*-
from __future__ import absolute_import, unicode_literals

from django.core.exceptions import ImproperlyConfigured

try:
    # from fbconsole import Client as FBClient
    from facepy import GraphAPI as FBGraphAPI
    from facepy.exceptions import OAuthError, SignedRequestError

    # #
    # BASE VIEWS
    # #
    class FbClientMixin(object):

        def create_fb_client(self, oauth_token=False, url='https://graph.facebook.com', verify_ssl_certificate=False, appsecret=False, timeout=None, keepalive=False):
            client = FBGraphAPI(
                oauth_token=oauth_token,
                url=url,
                verify_ssl_certificate=verify_ssl_certificate,
                appsecret=appsecret,
                timeout=timeout,
            )
            if not keepalive:
                # Patch per chiudere le connessioni
                s = getattr(client, 'session', None)
                if s:
                    s.keep_alive = False
            return client
except ImportError:
    raise ImproperlyConfigured("FH Facebookv2 Views require the 'facepy' cots module")

__all__ = ('OAuthError', 'SignedRequestError', 'FbClientMixin',)
