# -*- coding: utf-8 -*-
""" Frankhood : fh_statistics.views.stats by Frankhood
        @author : Frankhood Business Solution
"""
#from __future__ import absolute_import, print_function, unicode_literals
import logging

        
from django.contrib.admin.views.decorators import staff_member_required
from django.core.urlresolvers import reverse
from django.utils.decorators import method_decorator
from django.views.generic.base import TemplateView

from fhcore.utils.backend import get_subclasses

from .base import BaseCachedEmptyView

logger = logging.getLogger(__name__)

class AdvancedStatisticView(BaseCachedEmptyView):
    template_name = "statistics/advanced_stats_detail.html"
    chart_type = 'bars'
    
    """
    DEFAULT_DAY_START = 1
    DEFAULT_MONTH_START = 1
    DEFAULT_YEAR_START = 2014
    
    DEFAULT_DAY_END = 31
    DEFAULT_MONTH_END = 12
    DEFAULT_YEAR_END = 2015
    
    DEFAULT_DAY_START = CONTEST_START_DATE.day
    DEFAULT_MONTH_START = CONTEST_START_DATE.month
    DEFAULT_YEAR_START = CONTEST_START_DATE.year
    
    DEFAULT_DAY_END = CONTEST_END_DATE.day
    DEFAULT_MONTH_END = CONTEST_END_DATE.month
    DEFAULT_YEAR_END = CONTEST_END_DATE.year
    """
    
    def get_context_data(self,*args, **kwargs):
        context = super(AdvancedStatisticView, self).get_context_data(*args, **kwargs)
        context['chart_type'] = self.chart_type
        logger.info("Context : {0}".format(context))
        return context

class StatisticsIndexView(TemplateView):
    template_name = "statistics/stats_list.html"
    
    @method_decorator(staff_member_required)
    def dispatch(self, request, *args, **kwargs):
        return super(StatisticsIndexView, self).dispatch(request, *args, **kwargs)
    
    def get_views(self):
        # TURNAROUND non trovo un modo x prendere l'url dalla vista
        views = []
        [views.append({'label':view.view_label, 'url':reverse(view.reverse_name)}) 
            for view in get_subclasses(AdvancedStatisticView) 
            if (view != AdvancedStatisticView 
                and view.view_label 
                and view.reverse_name
                )
        ]
        #=======================================================================
        # views = [
        #         {'label':'Stat 1', 'url':reverse('second-kit-tot')},
        #        ]
        #=======================================================================
        return views
    
    def get_context_data(self, **kwargs):
        views = self.get_views()
        return {
            'params': kwargs,
            'views' : views,
            'results': self.get_global_results(),
        }

    def get_global_results(self):
        return {}



