# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SEOData',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('created_by', models.CharField(verbose_name='created by', max_length=155, editable=False, blank=True)),
                ('modified_by', models.CharField(verbose_name='modified by', max_length=155, editable=False, blank=True)),
                ('page_title', models.CharField(max_length=255, verbose_name='page title', blank=True)),
                ('description', models.TextField(verbose_name='page description', blank=True)),
                ('keywords', models.TextField(verbose_name='keywords', blank=True)),
                ('related_id', models.SlugField(max_length=64, serialize=False, verbose_name='related id', primary_key=True)),
            ],
            options={
                'ordering': ['-created'],
                'abstract': False,
                'get_latest_by': '-created',
                'verbose_name': 'SEO Metadata',
                'verbose_name_plural': 'SEO Metadata',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='SEODataHook',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('created_by', models.CharField(verbose_name='created by', max_length=155, editable=False, blank=True)),
                ('modified_by', models.CharField(verbose_name='modified by', max_length=155, editable=False, blank=True)),
                ('page_title', models.CharField(max_length=255, verbose_name='page title', blank=True)),
                ('description', models.TextField(verbose_name='page description', blank=True)),
                ('keywords', models.TextField(verbose_name='keywords', blank=True)),
                ('object_id', models.PositiveIntegerField()),
                ('content_type', models.ForeignKey(to='contenttypes.ContentType')),
            ],
            options={
                'get_latest_by': '-created',
                'ordering': ['-created'],
                'abstract': False,
                'verbose_name_plural': 'SEO Metadata',
                'verbose_name': 'SEO Metadata',
            },
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name='seodatahook',
            unique_together=set([('object_id', 'content_type')]),
        ),
    ]
