# -*- coding: utf-8 -*-
""" FHCore Libs  >  context_processors 
    @author: Frankhood Business Solutions <info@frankhood.it>
    @author: Gaetano D'Onghia <g.donghia@frankhood.it>
"""
from __future__ import absolute_import, print_function, unicode_literals
import logging

from django.utils.translation import ugettext, ugettext_lazy as _
from django.contrib.sites.models import get_current_site

logger = logging.getLogger(__name__)


def site_processor(request):
    """
    Inject current_site in context
    Use it adding this line in TEMPLATE_CONTEXT_PROCESSORS:
    
        'fhcore.context_processors.site_processor',
    
    """
    current_site = get_current_site(request)
    return { 'current_site': current_site }

def get_full_path(request):
    """
    Insert the ful_path for a request
    Use it adding this line in TEMPLATE_CONTEXT_PROCESSORS:
    
        'fhcore.context_processors.get_full_path',
    
    """
    full_path = ('http', ('', 's')[request.is_secure()], '://', request.META['HTTP_HOST'], request.path)
    return { 'get_full_path':''.join(full_path)}
